checkRequire("Lua_FactionLogVo");
Lua_FactionLogWindow = class("Lua_FactionLogWindow",Lua_SecondSizeWindow)
function Lua_FactionLogWindow:ctor()
	self:superCall("ctor");
	 self.isModel = true;
    self.windowName = "Lua_FactionLogWindow";
    self.skinName = "FactionLogWindow_skin";
	self.titleText = LanUtil.getValue(121014);
end

function Lua_FactionLogWindow:buildShowItem()
	self:superCall("buildShowItem");
	self.dragList = Lua_DragList.new(self.content,1,Vector4(-15,-11,1070,488));
	
	self.dragList:setLocation(8, -47, 0);
	self.dragList:setListCell(Lua_FactionLogListItem, 61, 1070, 1);
	self:addLuaEvent("FACTION_LOG_UPDATE",self,self.onLogUpdate)
end	
function Lua_FactionLogWindow:onLogUpdate()
	local list = DataCenter.factionData.factionLogList;
	--[[for i=1,10 do
		local titem = Lua_FactionLogVo.new();
		titem.contentStr = "测试文字";
		titem.formatStr = "2018.5.8";
		list:add(titem);
	end--]]
	--self.listBg = UICreate.createImage(self.content,"/images/common/winlv2_bg.png",10,-40,1006,512);
	self.dragList:setLuaArrayData(list,false);
end

Lua_FactionLogListItem = class("Lua_FactionLogListItem",Lua_ListCell)
function Lua_FactionLogListItem:ctor(p)
	self:superCall("ctor", p, "FactionLogListItem_skin");
end
function Lua_FactionLogListItem:setData(data)
	self.logContentTxt.text = data.contentStr;
	self.timeTxt.text= data.timeStr;
end
function Lua_FactionLogListItem:setEnable(val)
	self:superCall("setEnable",val);
end