checkRequire("Lua_FactionDefine");
Lua_FactionSkillNormalDetail= class("Lua_FactionSkillNormalDetail",Lua_DisplayObject)
function Lua_FactionSkillNormalDetail:ctor(p)
	self:superCall("ctor", p, "FactionSkillNormalDetail_skin");
end

function Lua_FactionSkillNormalDetail:buildShowItem()
	self:superCall("buildShowItem");

	self.upgradeBtn:addClickFuntion(self, self.onUpgradeClick);
end

function Lua_FactionSkillNormalDetail:onUpgradeClick()
	-- if DataCenter.factionData.myFactionInfo.myContri< self.skillVo.contri then
	-- 	OperateAlert.show(LanUtil.getValue(121036));
	-- 	return;
	-- end
	-- if DataCenter.factionData.myFactionInfo.curMaxSkillLv <=self.skillVo.skillLv then
	-- 	OperateAlert.show(LanUtil.getValue(121037));
	-- 	return;
	-- end

	local msg  = getProtoMsg("Proto10100628");
	msg.skill_id = self.skillVo.skillType;
	sendMsg(10100628,msg);
end

function Lua_FactionSkillNormalDetail:setData(skillVo)
	self.skillVo = skillVo;
	local attName = Lua_FactionDefine.SKILL_ATRRIBUTE_KEY_DIC[self.skillVo.skillType];
	local attLb = Lua_FactionDefine.SKILL_ATRRIBUTE_LABEL_DIC[self.skillVo.skillType];
	self.curAddAttrTxt.text = attLb.."+"..self.skillVo[attName];

	local nextValue = getConfig({"league_skill", self.skillVo.skillType * 1000 + self.skillVo.skillLv + 1})[attName];
	self.nextAddAttrTxt.text =  attLb.."+"..nextValue;
	
	local colorStr = "[85A8BE]";
	if DataCenter.factionData.myFactionInfo.myContri < self.skillVo.contri then
		colorStr = "[FF1616]";
	end
	self.costTxt.text = colorStr..DataCenter.factionData.myFactionInfo.myContri.."[-][85A8BE]/"..self.skillVo.contri.."[-]";
end